Subject: Re: bug#25156: 26.0.50; `describe-text-properties' hangs with 100% cpu usage when property is a char-table

From: Peter Wang <[email-masked]>
Date: Sat, 10 Dec 2016 23:38:34 +0800

Indeed, I got the same result as you did from emacs -Q. I will look into my
configuration and provide more information. Thanks!

On Sat, Dec 10, 2016 at 11:29 PM, <[email-masked]> wrote:

> Peter Wang <[email-masked]> writes:
>
> > BTW, I also found that `describe-variable' has the same problem.
> >
> > (describe-variable 'lisp-mode-syntax-table)
> >
> > I have not looked into this yet, it could be the same bug.
> >
> > On Sat, Dec 10, 2016 at 11:03 PM, Peter Wang <[email-masked]> wrote:
> >
> >  A simplest test case is like:
> >
> >  (describe-property-list (list 'syntax-table lisp-mode-syntax-table))
> >
> >  evaluating this Elisp expression will hang with 100% CPU usage.
>
> Neither of these hang for me from emacs -Q, using latest master
> (fc0fd24c105b)
>
> (benchmark 1 '(describe-variable 'lisp-mode-syntax-table)) ;=> "Elapsed
> time: 1.272053s (0.161946s in 6 GCs)"
> (benchmark 1 '(describe-property-list (list 'syntax-table
> lisp-mode-syntax-table))) ;=> "Elapsed time: 1.165824s (0.139516s in 5 GCs)"
>
>